Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554838 - >=sys-apps/portage-2.2.20 --update @world sees dev-util/boost-build-1.56.0 masks where there are none
Summary: >=sys-apps/portage-2.2.20 --update @world sees dev-util/boost-build-1.56.0 ma...
Status: CONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal with 5 votes (vote)
Assignee: Portage team
URL: https://wiki.gentoo.org/wiki/Project:...
Whiteboard:
Keywords:
: 554924 556124 605822 606900 (view as bug list)
Depends on: 632210
Blocks: 155723
  Show dependency tree
 
Reported: 2015-07-14 08:42 UTC by Sven Eden
Modified: 2017-11-13 11:51 UTC (History)
28 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
debug log for missed boost-build-1.62.0 update (debug.log.xz,481.25 KB, application/x-xz)
2016-10-05 21:06 UTC, Zac Medico
Details
config of system showing the problem (config.tar.xz,617.65 KB, application/x-xz)
2017-01-31 06:41 UTC, Manuel Mommertz
Details
config.tar.xz for the system referenced in comment 38 (config.tar.xz,504.47 KB, application/x-xz)
2017-02-03 01:09 UTC, BobbyK
Details
config of system showing the problem in 2017-11, portage 2.3.8 (config.tar.xz,901.23 KB, application/x-xz)
2017-11-08 23:37 UTC, Israel G. Lugo
Details
System config for repeatable boost issue (config.tar.xz,517.98 KB, application/x-xz)
2017-11-11 15:10 UTC, Tim Bowers
Details
Example emerge output (portage_boost_output,6.38 KB, text/plain)
2017-11-13 11:45 UTC, josef.95
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Eden 2015-07-14 08:42:52 UTC
When I try to update @world, I get the following strange error:

--------
Total: 41 packages (40 upgrades, 1 reinstall, 4 uninstalls), Size of downloads: 1.381.045 KiB
Conflict: 6 blocks

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.56*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.56.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.56.0-r1::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
--------

"masked by" is empty, because the ebuild is not masked or keyworded but stable.

When I try to update boost alone, portage does not complain about any masks and lists the packages that have to be rebuild due to the dev-libs/boost-1.56.0-r1 update.


Reproducible: Always

Steps to Reproduce:
1. webrsync
2. emerge --ask --update --newuse --deep --with-bdeps y @world

Actual Results:  
dev-util/boost-build-1.56.0::gentoo listed as masked, although it isn't.

Expected Results:  
Regular update
Comment 1 Rafał Mużyło 2015-07-14 11:16:02 UTC
This most likely is a portage bug, bug something mask-like is in effect.

Check all *installed* packages depending on dev-libs/boost or dev-util/boost-build and see which ones left the tree.

The other option is a multilib useflag conflict - two of the installed libs have a dependency cycle, broken by a useflag, that has been already solved on 64bit side, but is yet to be on 32bit.
Comment 2 Zac Medico gentoo-dev 2015-07-14 16:46:44 UTC
I seems like something is going wrong when it is backtracking. Try running the same command with --backtrack=0 and --verbose-conflicts in your options.
Comment 3 Sven Eden 2015-07-15 07:07:14 UTC
(In reply to Zac Medico from comment #2)
> I seems like something is going wrong when it is backtracking. Try running
> the same command with --backtrack=0 and --verbose-conflicts in your options.

When I try this, boost does not show up on the update list.

However, thanks to texlive my update list is now rather long, so I will update @world excluding boost and libreoffice (another pending update, which would rebuild after boost) and try again to find out what the matter is.
Comment 4 Sven Eden 2015-07-15 08:50:29 UTC
I just found out, that the error only shows up when I try to update @world with the --deep option. Without that the boost update is ignored. Okay, the latter is no real surprise.

What puzzles me is, that the ghost mask is on boost-build, pulled in as a dependency from boost. But when I try to update boost, there is no such mask and both boost-build and boost are happily shown on the list of to be merged packages.
Comment 5 Sven Eden 2015-07-21 14:54:31 UTC
As there are several other users with this issue, I reckon the bug is confirmed now.

See: https://forums.gentoo.org/viewtopic-t-1021946.html
Comment 6 Zac Medico gentoo-dev 2015-07-22 18:00:34 UTC
*** Bug 554924 has been marked as a duplicate of this bug. ***
Comment 7 PusRob 2015-07-22 18:12:45 UTC
I also confirm the bug, have the same results upon issuing "emerge -uNDa --with-bdeps=y @world".

Also, trying the workaround suggested by some users (emerge -av1 boost-build boost) seems to be equally ineffective, gives the following results:

-----

Calculating dependencies... done!
[ebuild   R    ] dev-util/boost-build-1.55.0::gentoo  USE="-examples -python {-test}" 0 KiB
[ebuild   R    ] dev-libs/boost-1.55.0-r2:0/1.55.0::gentoo  USE="nls threads -context -debug -doc -icu -mpi -python -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

dev-libs/boost:0

   (dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo, ebuild scheduled for merge) conflicts with
    dev-libs/boost:0/1.55.0= required by (dev-util/mdds-0.12.0:0/0.12.0::gentoo, installed)
                  ^^^^^^^^^^
    dev-libs/boost:0/1.55.0 required by (app-office/libreoffice-bin-4.4.3.2:0/0::gentoo, ebuild scheduled for merge)
                  ^^^^^^^^^

dev-util/boost-build:0

  (dev-util/boost-build-1.56.0:0/0::gentoo, ebuild scheduled for merge) conflicts with
    =dev-util/boost-build-1.55* required by (dev-libs/boost-1.55.0-r2:0/1.55.0::gentoo, ebuild scheduled for merge)

-----

Adding "python" to the use flags of "boost" upon trying to rebuild it with "boost-build" gives equally bad results.
Comment 8 Alexander Tsoy 2015-07-22 18:15:46 UTC
(In reply to PusRob from comment #7)
It is blocked by app-office/libreoffice-bin in your case.
Comment 9 Zac Medico gentoo-dev 2015-07-23 05:47:24 UTC
It looks similar to an older issue from 2013-08-02:

https://gitweb.gentoo.org/proj/portage.git/commit/?id=9b6f69e2a66c0f1d1d6545208edb3c45eacfd845
Comment 10 boozo 2015-07-27 17:57:53 UTC
Hi there,
if this help : same bug here today after a sync but using the options --backtrack=0 and --verbose-conflicts like Zac Medico said in comment #2 ; portage seems able to find another package to upgrade (the 23rd is dev-libs/boost) and indicate the culprits (app-office/akonadi-server and kde-base/kdepimlibs) :-)

#--  #emerge -puDNv @world  --------------------------------------------------------------------------
(snip)
Total: 22 packages (20 upgrades, 1 in new slot, 1 reinstall), Size of downloads: 218 112 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.56*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.56.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.56.0-r1::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

#-- EOO --------------------------------------------------------------------------------------------------

#-- #emerge -puDNv --backtrack=0 --verbose-conflicts @world  --------------------
(snip)
[ebuild     U  ] dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo [1.55.0-r2:0/1.55.0::gentoo] USE="nls python threads -context -debug -doc -icu -mpi -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 92 557 KiB
(snip)

Total: 23 packages (21 upgrades, 1 in new slot, 1 reinstall), Size of downloads: 310 669 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/boost:0

  (dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/boost-1.55.0-r2:0/1.55.0::gentoo, installed) pulled in by
    dev-libs/boost:0/1.55.0= required by (app-office/akonadi-server-1.13.0:0/0::gentoo, installed)
                  ^^^^^^^^^^                                                                                                          
    >=dev-libs/boost-1.35.0-r5:0/1.55.0= required by (kde-base/kdepimlibs-4.14.8:4/4.14::gentoo, installed)
                              ^^^^^^^^^^                                                                                                       
#-- EOO --------------------------------------------------------------------------------------------------

Confirmed and by :

#-- #emerge -p1v boost-build boost -----------------------------------------------------------

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-util/boost-build-1.56.0::gentoo [1.55.0::gentoo] USE="python -examples {-test}" PYTHON_TARGETS="python2_7%*" 92 557 KiB
[ebuild  r  U  ] dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo [1.55.0-r2:0/1.55.0::gentoo] USE="nls python threads -context -debug -doc -icu -mpi -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_3 -python3_4" 0 KiB
[ebuild  rR    ] app-office/akonadi-server-1.13.0::gentoo  USE="mysql qt4 -postgres (-qt5) -soprano -sqlite {-test}" 0 KiB
[ebuild  rR    ] kde-base/kdepimlibs-4.14.8:4/4.14::gentoo  USE="(-aqua) -debug -handbook -ldap -prison {-test}" 0 KiB

Total: 4 packages (2 upgrades, 2 reinstalls), Size of downloads: 92 557 KiB

The following packages are causing rebuilds:

  (dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (app-office/akonadi-server-1.13.0:0/0::gentoo, ebuild scheduled for merge)
    (kde-base/kdepimlibs-4.14.8:4/4.14::gentoo, ebuild scheduled for merge)

#-- EOO --------------------------------------------------------------------------------------------------

After this step @world succeded :-)
Comment 11 Zac Medico gentoo-dev 2015-07-27 20:21:55 UTC
Apparently old "fix" noted in comment #9 is pretty fragile. It looks like we're going to need some new heuristics to handle this case, kind of like bug 531656.
Comment 12 Pacho Ramos gentoo-dev 2015-07-28 16:02:59 UTC
*** Bug 556124 has been marked as a duplicate of this bug. ***
Comment 13 jospezial 2015-07-31 16:06:11 UTC
I see the same now on update from 1.56.0 to 1.57.0 :


emerge -va1t boost --verbose-conflicts

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U  ] dev-libs/boost-1.57.0:0/1.57.0::gentoo [1.56.0-r1:0/1.56.0::gentoo] USE="icu nls python threads -context -debug -doc -mpi -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_3 python3_4" 59.397 KiB
[ebuild     U  ]  dev-util/boost-build-1.57.0::gentoo [1.56.0::gentoo] USE="python -examples {-test}" PYTHON_TARGETS="python2_7" 0 KiB

Total: 2 packages (2 upgrades), Size of downloads: 59.397 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/boost:0

  (dev-libs/boost-1.57.0:0/1.57.0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/boost (Argument)

  (dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo, installed) pulled in by
    dev-libs/boost:0/1.56.0= required by (dev-libs/libixion-0.9.1:0/0.10::gentoo, installed)
                  ^^^^^^^^^^                                                                                                    
    dev-libs/boost:0/1.56.0= required by (dev-cpp/libcmis-0.5.0-r1:0.5/0.5::gentoo, installed)
                  ^^^^^^^^^^                                                                                                      
    >=dev-libs/boost-1.46.0:0/1.56.0= required by (media-video/mkvtoolnix-8.2.0-r1:0/0::gentoo, installed)
                           ^^^^^^^^^^                                                                                                         
    >=dev-libs/boost-1.55:0/1.56.0= required by (app-office/libreoffice-5.0.0.4:0/0::gentoo, installed)
                         ^^^^^^^^^^                                                                                                        
    >=dev-libs/boost-1.51.0:0/1.56.0= required by (dev-libs/liborcus-0.7.1:0/0::gentoo, installed)
                           ^^^^^^^^^^                                                                                                 
    dev-libs/boost:0/1.56.0= required by (app-text/libwps-0.4.0:0/0::gentoo, installed)
                  ^^^^^^^^^^                                                                                               
    dev-libs/boost:0/1.56.0= required by (app-text/libetonyek-0.1.3:0/0::gentoo, installed)
                  ^^^^^^^^^^                                                                                                   
    dev-libs/boost:0/1.56.0= required by (dev-libs/librevenge-0.0.2:0/0::gentoo, installed)
                  ^^^^^^^^^^                                                                                                   


If I look for boost in mkvtoolnix-8.2.0-r1.ebuild I see:
>=dev-libs/boost-1.46.0:=

and in libreoffice-5.0.0.4.ebuild I see:
>=dev-libs/boost-1.55:=

Which slot is the meaning of that "=" ? Something like "currently installed"?
Comment 14 jospezial 2015-07-31 18:46:31 UTC
--backtrack=0 did not help.

But --backtrack=30 was useful.
Comment 15 Zac Medico gentoo-dev 2015-07-31 19:11:18 UTC
(In reply to jospezial from comment #13)
> I see the same now on update from 1.56.0 to 1.57.0 :
> 
> 
> emerge -va1t boost --verbose-conflicts

Use 'emerge --update --deep @world' for best results, since that gives the dependency resolver more freedom to update your packages. When you only ask it to update boost, and it finds that it's going to have to rebuild a bunch of things that you didn't ask it to touch, it leads to conflicts like those that you have posted.

> If I look for boost in mkvtoolnix-8.2.0-r1.ebuild I see:
> >=dev-libs/boost-1.46.0:=
> 
> and in libreoffice-5.0.0.4.ebuild I see:
> >=dev-libs/boost-1.55:=
> 
> Which slot is the meaning of that "=" ? Something like "currently installed"?

That's a "slot operator" which you can read about here:

https://wiki.gentoo.org/wiki/Sub-slots_and_Slot-Operators
Comment 16 jospezial 2015-07-31 21:15:04 UTC
(In reply to Zac Medico from comment #15)
 
> Use 'emerge --update --deep @world' for best results, since that gives the
> dependency resolver more freedom to update your packages. When you only ask
> it to update boost, and it finds that it's going to have to rebuild a bunch
> of things that you didn't ask it to touch, it leads to conflicts like those
> that you have posted.
> 

I always do so as you suggest. But this time it brought me to this bug.
Maybe adding --backtrack=30 to the world update could have helped too.
Comment 17 Kent Fredric (IRC: kent\n) gentoo-dev 2016-01-23 00:59:43 UTC
> Portage 2.2.27
> --backtrack=30
> boost 1.58 => Pain persists.

>dev-libs/boost:0
>!!! All ebuilds that could satisfy "=dev-util/boost-build-1.58*" have been masked.
>!!! One of the following masked packages is required to complete your request:
>- dev-util/boost-build-1.58.0::gentoo (masked by: )

--deep is also not giving me anything extra, and I use that by default.

EMERGE_DEFAULT_OPTS="--alert y --autounmask y --autounmask-write n --backtrack=30 --changed-deps y --changed-use --complete-graph --with-bdeps=y --deep --dynamic-deps n --keep-going y --newuse --verbose-conflicts"



Workaround:
-----------

1. find out exactly which rebuilds are blocking it with an explicit: 

    emerge -vat1 --selective=n =boost-build-1.58.0 =boost-1.58.0-r1

*important: stipulating a fixed = version here is the magic sauce that discourages portage from considering upgrades/downgrades of either package,
and so portage becomes predisposed to telling you exactly why that combination can't work instead of trying to be magic and finding some alternative.

2. Append them all to the emerge line and do them explicitly:

     emerge -vat1 --selective=n =boost-build-1.58.0 =boost-1.58.0-r1 rb_libtorrent e4rat hugin luminance-hdr kdepimlibs akonadi-server povray grive vigra qbittorrent enblend 

3. Portage mysteriously forgets about the block

... sometime later ...

6. emerge -uvatDN --backtrack=30 @world 

<no signs of struggle>
Comment 18 Oleh 2016-01-31 14:43:15 UTC
this sub-slot idiocy persist. it is certainly that downside of sub-slots beating any advantages, which is the only one so far - automatic rebuilds of a packages after soname changes in libraries, which is mostly works. Rest is so super-duper smart alec that makes portage goes into nirvana pondering and vomiting mind-blowing output which is incredibly far from what it should do:
for regular users package manager should do predictable and easy understandable ways to update their packages. It should be clean way rebuild needed packages.
i don't need artificial backtrack=30,1000,10^6 hacks, i don't need to listen into developers  hebephrenia about this and that, oh yes i hate you when you say "Please, provide patches and suggest something". no way i going waste my life and brain cycles to fix a feature that is *broken* from start, i need package manager do simple tasks. So now, that update to boost happened i getting this:

emerge -av --depclean
Password: 
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 * 
 *   dev-libs/boost:=[python,python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] pulled in by:
 *     net-libs/rb_libtorrent-1.0.8
 * 
 * Have you forgotten to do a complete update prior to depclean? The
 * most comprehensive command for this purpose is as follows:
 * 
 *   emerge --update --newuse --deep --with-bdeps=y @world
 * 
 * Note that the --with-bdeps=y option is not required in many
 * situations. Refer to the emerge manual page (run `man emerge`)
 * for more information about --with-bdeps.
 * 
 * Also, note that it may be necessary to manually uninstall
 * packages that no longer exist in the portage tree, since it may
 * not be possible to satisfy their dependencies.
[alex] ~ % emerge --update --newuse --deep --with-bdeps=y @world                                                                                                                                       
Password: 
[ebuild     U ] dev-libs/openssl-1.0.2f [1.0.2e] USE="asm tls-heartbeat zlib -bindist -gmp -kerberos -rfc3779 -sctp -static-libs {-test} -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 
[ebuild     UD] dev-util/boost-build-1.57.0 [1.58.0] USE="python -examples {-test}" PYTHON_TARGETS="python2_7" 
[ebuild     UD] dev-libs/boost-1.57.0 [1.58.0-r1] USE="icu nls python threads -context -debug -doc -mpi -static-libs -tools" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7 python3_3%* -python3_4 -python3_5" 
[ebuild     U ] app-emulation/virtualbox-modules-5.0.14 [5.0.12] USE="-pax_kernel" 
[ebuild     U ] app-emulation/virtualbox-bin-5.0.14.105127 [5.0.12.104815] USE="additions chm python -debug -headless -rdesktop-vrdp -sdk -vboxwebsrv" PYTHON_TARGETS="python2_7" 
[ebuild     U ] media-sound/amsynth-1.6.3 [1.5.1] USE="alsa dssi jack sndfile -lash -oss" 
[blocks B     ] dev-libs/boost:0/1.57.0 ("dev-libs/boost:0/1.57.0" is blocking media-sound/ncmpcpp-0.7.1)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/boost:0

  (dev-libs/boost-1.58.0-r1:0/1.58.0::gentoo, installed) pulled in by
    dev-libs/boost:0/1.58.0=[nls,threads] required by (media-sound/ncmpcpp-0.7.1:0/0::gentoo, installed)
                  ^^^^^^^^^^                                                                                                                
    (and 3 more with the same problem)

  (dev-libs/boost-1.57.0:0/1.57.0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/boost:=[python,python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-)] required by (net-libs/rb_libtorrent-1.0.8:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                                                                                               

dev-util/boost-build:0

  (dev-util/boost-build-1.58.0:0/0::gentoo, installed) pulled in by
    =dev-util/boost-build-1.58* required by (dev-libs/boost-1.58.0-r1:0/1.58.0::gentoo, installed)
    ^                     ^^^^^                                                                                                                          

  (dev-util/boost-build-1.57.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =dev-util/boost-build-1.57* required by (dev-libs/boost-1.57.0:0/1.57.0::gentoo, ebuild scheduled for merge)
    ^                     ^^^^^                                                                                                                                        

NOTE: Use the '--verbose-conflicts' option to display parents omitted above


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-sound/ncmpcpp-0.7.1:0/0::gentoo, installed) pulled in by
    media-sound/ncmpcpp required by @selected

C'mon i removed ncmpcpp, then updated to boost, then merged ncmpcpp back. now portage wants to downgrade boost back which is blocked! Please stop this idiocy. Remove sub-slots completely out of portage code. Remove sub-slots operators completely out of every single ebuild. So far revdep-rebuild --library works extremely well, when update to something like boost or icu happens and i completely satisfied with it because i know it does back my system into consistent shape. sub-slots does not do anything but give me mind-bender output.
Comment 19 Zac Medico gentoo-dev 2016-01-31 19:45:54 UTC
(In reply to Oleg from comment #18)
> this sub-slot idiocy persist. it is certainly that downside of sub-slots
> beating any advantages, which is the only one so far - automatic rebuilds of
> a packages after soname changes in libraries, which is mostly works.

Yeah, it mostly works pretty well.

> Rest is
> so super-duper smart alec that makes portage goes into nirvana pondering and
> vomiting mind-blowing output which is incredibly far from what it should do:

This represents a fault of the automatic rebuild code. Also, it's complicated by the fact that there can be lots of configuration issues which prevent the automatic rebuild code from settling on a solution. If you can get your system to a state where the configuration is completely solvable, but automatic rebuild still fails, then that's a good time to take a snapshot of your configuration so we can use it to reproduce the problem. Such a configuration snapshot is created as follows:

tar -cJf /tmp/config.tar.xz -C / ./etc/portage ./var/db/pkg $(cd / && echo ./var/lib/portage/world*) --exclude CONTENTS --exclude '*.ebuild' --exclude environment.bz2 --exclude 'NEEDED*'
Comment 20 Richard Cox 2016-03-10 14:09:06 UTC
I'm not sure how you figured this procedure out, but it worked for me :-)  Just hope it goes away for the next upgrade of boost.

(In reply to Kent Fredric from comment #17)
> > Portage 2.2.27
> > --backtrack=30
> > boost 1.58 => Pain persists.
> 
> >dev-libs/boost:0
> >!!! All ebuilds that could satisfy "=dev-util/boost-build-1.58*" have been masked.
> >!!! One of the following masked packages is required to complete your request:
> >- dev-util/boost-build-1.58.0::gentoo (masked by: )
> 
> --deep is also not giving me anything extra, and I use that by default.
> 
> EMERGE_DEFAULT_OPTS="--alert y --autounmask y --autounmask-write n
> --backtrack=30 --changed-deps y --changed-use --complete-graph
> --with-bdeps=y --deep --dynamic-deps n --keep-going y --newuse
> --verbose-conflicts"
> 
> 
> 
> Workaround:
> -----------
> 
> 1. find out exactly which rebuilds are blocking it with an explicit: 
> 
>     emerge -vat1 --selective=n =boost-build-1.58.0 =boost-1.58.0-r1
> 
> *important: stipulating a fixed = version here is the magic sauce that
> discourages portage from considering upgrades/downgrades of either package,
> and so portage becomes predisposed to telling you exactly why that
> combination can't work instead of trying to be magic and finding some
> alternative.
> 
> 2. Append them all to the emerge line and do them explicitly:
> 
>      emerge -vat1 --selective=n =boost-build-1.58.0 =boost-1.58.0-r1
> rb_libtorrent e4rat hugin luminance-hdr kdepimlibs akonadi-server povray
> grive vigra qbittorrent enblend 
> 
> 3. Portage mysteriously forgets about the block
> 
> ... sometime later ...
> 
> 6. emerge -uvatDN --backtrack=30 @world 
> 
> <no signs of struggle>
Comment 21 Nick Novikov 2016-05-19 04:27:06 UTC
I confirm this bug on ~amd64 with sys-apps/portage-2.3.0_rc1-r1

-----

# emerge --update --newuse --deep --with-bdeps=y -pv world

...
Total: 0 packages, Size of downloads: 0 KiB

-----

# emerge -pev world

...
[ebuild     U  ] sys-devel/llvm-3.8.0-r2:0/3.8.0::gentoo [3.7.1-r2:0/3.7.1::gentoo] USE="clang gold libffi ncurses static-analyzer xml -debug -doc -libedit -lldb -multitarget -ocaml -python {-test}" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" VIDEO_CARDS="-radeon" 27,198 KiB
[ebuild     U  ] sys-devel/clang-3.8.0-r100:0/3.8::gentoo [3.7.1-r100:0/3.7::gentoo] USE="static-analyzer -debug -multitarget -python" ABI_X86="(64) -32 (-x32)" 0 KiB
[blocks b      ] <=sys-devel/clang-3.8.0-r99 ("<=sys-devel/clang-3.8.0-r99" is blocking sys-devel/llvm-3.8.0-r2)
...

Total: 1002 packages (2 upgrades, 1000 reinstalls), Size of downloads: 27,198 KiB
Conflict: 1 block
Comment 22 Zac Medico gentoo-dev 2016-05-19 16:45:36 UTC
(In reply to Nick Novikov from comment #21)
> I confirm this bug on ~amd64 with sys-apps/portage-2.3.0_rc1-r1
> # emerge -pev world

That's a very nice test case you have there, because it demonstrates the absence of other configuration problems (which is important when we're trying to isolate the cause of this specific problem involving boost). Would you mind attaching a snapshot of your configuration? Please create your config snapshot using the tar command shown at the end of comment #19.
Comment 23 Nick Novikov 2016-05-20 00:31:27 UTC
(In reply to Zac Medico from comment #22)
> Please create your config snapshot...

I have already rebuild the world and updated both clang & llvm, but here it is anyway. Hope it still helps.

https://dl.dropboxusercontent.com/u/21724247/tmp/config.tar.xz

Didn't attach the file because of its size.
Comment 24 Zac Medico gentoo-dev 2016-05-31 05:02:40 UTC
(In reply to Nick Novikov from comment #23)
> (In reply to Zac Medico from comment #22)
> > Please create your config snapshot...
> 
> I have already rebuild the world and updated both clang & llvm, but here it
> is anyway. Hope it still helps.
> 
> https://dl.dropboxusercontent.com/u/21724247/tmp/config.tar.xz
> 
> Didn't attach the file because of its size.

Thanks, I've reproduced your issue, and opened bug 584626 to track it.

Note that if you use the excludes shown in comment #19 then the tarball is only about 420K.
Comment 25 Nick Novikov 2016-05-31 05:21:58 UTC
> Note that if you use the excludes shown in comment #19 then the tarball is
> only about 420K.

I did run that command exactly without any modifications. Just tested it again with the same result.
Comment 26 Nick Novikov 2016-05-31 05:37:01 UTC
> Note that if you use the excludes shown in comment #19 then the tarball is
> only about 420K.

Just found out that the list of directories in your command precedes the exclude opetions. Moving the excludes before the dirs makes the tarball small.
Comment 27 Zac Medico gentoo-dev 2016-10-05 21:06:09 UTC
Created attachment 449282 [details]
debug log for missed boost-build-1.62.0 update
Comment 28 Zac Medico gentoo-dev 2016-12-18 18:14:36 UTC
If you experience this bug, then hopefully it will reveal some configuration issue(s) if you try a doing a @world update with --pretend and
--ignore-built-slot-operator-deps=y as suggested here:

https://wiki.gentoo.org/wiki/Project:Portage/FAQ#What_should_I_do_when_emerge_reports_a_lot_of_dependency_conflicts_involving_built_slot-operator_.28foo.2Fbar:X.2FY.3D.29_dependencies.3F
Comment 29 Zac Medico gentoo-dev 2017-01-16 01:16:31 UTC
*** Bug 605822 has been marked as a duplicate of this bug. ***
Comment 30 Michael Palimaka (kensington) gentoo-dev 2017-01-25 12:02:45 UTC
*** Bug 606900 has been marked as a duplicate of this bug. ***
Comment 31 ta2002 2017-01-27 09:48:48 UTC
Still here in 1.62:

# emerge -Dpu world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.62*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.62.0-r1::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.62.0-r1::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 32 ta2002 2017-01-27 11:08:47 UTC
Don't know if this helps, but I kept running the command:

emerge -1Dnptu world

over and over. It kept shifting (I wasn't doing anything else or changing anything in between running this command multiple times) between the output in comment 31, and (occasionally) this:

emerge -1Dnptu world

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  rR    ] media-video/mkvtoolnix-9.6.0::gentoo  USE="qt5 -curl -debug -pch {-test}" 0 KiB
[ebuild  r  U  ]  dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo [1.56.0-r1:0/1.56.0::gentoo] USE="threads -context -debug -doc -icu (-mpi) -nls -python -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python3_4 -python2_7 (-python3_5)" 0 KiB
[ebuild     U  ]   dev-util/boost-build-1.62.0-r1::gentoo [1.56.0::gentoo] USE="-examples -python {-test}" PYTHON_TARGETS="-python2_7" 0 KiB

Total: 3 packages (2 upgrades, 1 reinstall), Size of downloads: 0 KiB

The following packages are causing rebuilds:

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (media-video/mkvtoolnix-9.6.0:0/0::gentoo, ebuild scheduled for merge)
Comment 33 Zac Medico gentoo-dev 2017-01-27 16:56:33 UTC
(In reply to ta2002 from comment #32)
> over and over. It kept shifting (I wasn't doing anything else or changing
> anything in between running this command multiple times) between the output
> in comment 31, and (occasionally) this:
> 
> emerge -1Dnptu world
> 
> These are the packages that would be merged, in reverse order:
> 
> Calculating dependencies... done!
> [ebuild  rR    ] media-video/mkvtoolnix-9.6.0::gentoo  USE="qt5 -curl -debug
> -pch {-test}" 0 KiB
> [ebuild  r  U  ]  dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo
> [1.56.0-r1:0/1.56.0::gentoo] USE="threads -context -debug -doc -icu (-mpi)
> -nls -python -static-libs -tools" ABI_X86="(64) -32 (-x32)"
> PYTHON_TARGETS="python3_4 -python2_7 (-python3_5)" 0 KiB
> [ebuild     U  ]   dev-util/boost-build-1.62.0-r1::gentoo [1.56.0::gentoo]
> USE="-examples -python {-test}" PYTHON_TARGETS="-python2_7" 0 KiB
> 
> Total: 3 packages (2 upgrades, 1 reinstall), Size of downloads: 0 KiB
> 
> The following packages are causing rebuilds:
> 
>   (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, ebuild scheduled for merge)
> causes rebuilds for:
>     (media-video/mkvtoolnix-9.6.0:0/0::gentoo, ebuild scheduled for merge)

When it behaves this way, it's possible that a larger --backtrack value will lead to consistent results. There are some elements of randomization in emerge's dependency calculation that can cause it to randomly require a different amount of backtracking in order to converge on the correct solution.
Comment 34 BobbyK 2017-01-28 02:15:56 UTC
(In reply to ta2002 from comment #31)
> Still here in 1.62:
> 
> # emerge -Dpu world
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> 
> Total: 0 packages, Size of downloads: 0 KiB
> 
> !!! The following update has been skipped due to unsatisfied dependencies:
> 
> dev-libs/boost:0
> 
> !!! All ebuilds that could satisfy "=dev-util/boost-build-1.62*" have been
> masked.
> !!! One of the following masked packages is required to complete your
> request:
> - dev-util/boost-build-1.62.0-r1::gentoo (masked by: )
> 
> (dependency required by "dev-libs/boost-1.62.0-r1::gentoo" [ebuild])
> For more information, see the MASKED PACKAGES section in the emerge
> man page or refer to the Gentoo Handbook.

Had the same thing on my system, though got past it with:

emerge -a1uvDU --with-bdeps=y --complete-graph=y =dev-util/boost-build-1.62.0-r1::gentoo =dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo @world 

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-util/boost-build-1.62.0-r1::gentoo [1.56.0::gentoo] USE="-examples -python {-test}" PYTHON_TARGETS="python2_7" 82,533 KiB
[ebuild  r  U  ] dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo [1.56.0-r1:0/1.56.0::gentoo] USE="icu nls python threads -context -debug -doc (-mpi) -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5)" 0 KiB
[..]
Would you like to merge these packages? [Yes/No] Yes
Comment 35 Simon 2017-01-30 18:31:51 UTC
@Zac Medico What's needed to determine the cause of this so it can be fixed?
I just ran into this as well when updating to dev-libs/boost-1.62.0-r1, can postpone updating for a couple of days to figure this one out
Comment 36 Zac Medico gentoo-dev 2017-01-30 19:28:24 UTC
(In reply to Simon from comment #35)
> @Zac Medico What's needed to determine the cause of this so it can be fixed?
> I just ran into this as well when updating to dev-libs/boost-1.62.0-r1, can
> postpone updating for a couple of days to figure this one out

Pleas attach a tarball of your configuration, created as follows:

tar -cJf /tmp/config.tar.xz -C / --exclude CONTENTS --exclude '*.ebuild' --exclude environment.bz2 --exclude 'NEEDED*' ./etc/portage ./var/db/pkg $(cd / && echo ./var/lib/portage/world*)

Also please provide the value contained in /usr/portage/metadata/timestamp.chk so that we know the approximate state of the gentoo repository.
Comment 37 Manuel Mommertz 2017-01-31 06:41:07 UTC
Created attachment 461914 [details]
config of system showing the problem

# emerge -puDN --with-bdeps y --verbose-conflicts --backtrack=300 @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.62*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.62.0-r1::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.62.0-r1::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


# emerge -puDN --with-bdeps y --verbose-conflicts --backtrack=300 @world =dev-libs/boost-1.62.0-r1

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-util/boost-build-1.62.0-r1 [1.56.0]
[ebuild  r  U  ] dev-libs/boost-1.62.0-r1 [1.56.0-r1] PYTHON_TARGETS="(-python3_5)" 
[ebuild  rR    ] dev-libs/librevenge-0.0.4 
[ebuild  rR    ] dev-util/mdds-1.2.2 
[ebuild  rR    ] dev-libs/libixion-0.11.1 
[ebuild  rR    ] dev-libs/liborcus-0.11.2 
[ebuild  rR    ] dev-cpp/libcmis-0.5.2_pre20160820 
[ebuild  rR    ] kde-apps/akonadi-1.13.1_pre20160203-r1 
[ebuild  rR    ] media-libs/qt-gstreamer-1.2.0-r2 
[ebuild  rR    ] kde-apps/kdepimlibs-4.14.11_pre20160211-r2 
[ebuild  rR    ] app-office/libreoffice-5.2.3.3-r1 
[ebuild  rR    ] kde-apps/kdepim-runtime-4.14.11_pre20160211 
[ebuild  rR    ] kde-apps/kleopatra-4.14.11_pre20160211 

The following packages are causing rebuilds:

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (kde-apps/kdepimlibs-4.14.11_pre20160211-r2:4/4.14::gentoo, ebuild scheduled for merge)
    (kde-apps/kdepim-runtime-4.14.11_pre20160211:4/4.14::gentoo, ebuild scheduled for merge)
    (dev-libs/librevenge-0.0.4:0/0::gentoo, ebuild scheduled for merge)
    (app-office/libreoffice-5.2.3.3-r1:0/0::gentoo, ebuild scheduled for merge)
    (dev-libs/liborcus-0.11.2:0/0.11::gentoo, ebuild scheduled for merge)
    (dev-libs/libixion-0.11.1:0/0.11::gentoo, ebuild scheduled for merge)
    (kde-apps/akonadi-1.13.1_pre20160203-r1:4/4::gentoo, ebuild scheduled for merge)
    (media-libs/qt-gstreamer-1.2.0-r2:0/0::gentoo, ebuild scheduled for merge)
    (dev-cpp/libcmis-0.5.2_pre20160820:0.5/0.5::gentoo, ebuild scheduled for merge)
    (dev-util/mdds-1.2.2:1/1.2::gentoo, ebuild scheduled for merge)
    (kde-apps/kleopatra-4.14.11_pre20160211:4/4.14::gentoo, ebuild scheduled for merge)


The config of the system is attached. I hope it helps
Comment 38 BobbyK 2017-02-03 01:08:10 UTC
Not sure this is helpful, though it looks like --with-bdeps=y might be causing an issue:

# cat /usr/portage/metadata/timestamp.chk
Thu, 02 Feb 2017 23:45:01 +0000


# emerge --oneshot --pretend --update --verbose --deep @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-util/boost-build-1.62.0-r1::gentoo [1.56.0::gentoo] USE="-examples -python {-test}" PYTHON_TARGETS="python2_7" 82,533 KiB
[ebuild  r  U  ] dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo [1.56.0-r1:0/1.56.0::gentoo] USE="nls threads -context -debug -doc -icu (-mpi) -python -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 0 KiB
[ebuild  rR    ] media-libs/qt-gstreamer-1.2.0-r2::gentoo  USE="qt4 qt5 {-test}" 0 KiB

Total: 3 packages (2 upgrades, 1 reinstall), Size of downloads: 82,533 KiB

The following packages are causing rebuilds:

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (media-libs/qt-gstreamer-1.2.0-r2:0/0::gentoo, ebuild scheduled for merge)


gentoo distfiles # emerge --oneshot --pretend --update --verbose --deep --complete-graph=y @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-util/boost-build-1.62.0-r1::gentoo [1.56.0::gentoo] USE="-examples -python {-test}" PYTHON_TARGETS="python2_7" 82,533 KiB
[ebuild  r  U  ] dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo [1.56.0-r1:0/1.56.0::gentoo] USE="nls threads -context -debug -doc -icu (-mpi) -python -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 0 KiB
[ebuild  rR    ] media-libs/qt-gstreamer-1.2.0-r2::gentoo  USE="qt4 qt5 {-test}" 0 KiB

Total: 3 packages (2 upgrades, 1 reinstall), Size of downloads: 82,533 KiB

The following packages are causing rebuilds:

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (media-libs/qt-gstreamer-1.2.0-r2:0/0::gentoo, ebuild scheduled for merge)
gentoo distfiles # emerge --oneshot --pretend --update --verbose --deep --complete-graph=y --with-bdep=y @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.62*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.62.0-r1::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.62.0-r1::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



# emerge --oneshot --pretend --update --verbose --deep --changed-use --with-bdep=y --complete-graph=y --backtrack=500 @world 

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.62*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.62.0-r1::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.62.0-r1::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


# emerge --oneshot --pretend --update --verbose --deep --changed-use --with-bdep=y --complete-graph=y --backtrack=500 @world =dev-libs/boost-1.62.0-r1 
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-util/boost-build-1.62.0-r1::gentoo [1.56.0::gentoo] USE="-examples -python {-test}" PYTHON_TARGETS="python2_7" 82,533 KiB
[ebuild  r  U  ] dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo [1.56.0-r1:0/1.56.0::gentoo] USE="nls threads -context -debug -doc -icu (-mpi) -python -static-libs -tools" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_4 (-python3_5) (-python3_3%)" 0 KiB
[ebuild  rR    ] dev-libs/librevenge-0.0.4::gentoo  USE="-doc {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild  rR    ] media-libs/qt-gstreamer-1.2.0-r2::gentoo  USE="qt4 qt5 {-test}" 0 KiB

Total: 4 packages (2 upgrades, 2 reinstalls), Size of downloads: 82,533 KiB

The following packages are causing rebuilds:

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (media-libs/qt-gstreamer-1.2.0-r2:0/0::gentoo, ebuild scheduled for merge)
    (dev-libs/librevenge-0.0.4:0/0::gentoo, ebuild scheduled for merge)

I'll also be attaching a tar config file created using the directions provided.  dev-libs/boost has not been updated on the system in question, in case further testing might be helpful.
Comment 39 BobbyK 2017-02-03 01:09:58 UTC
Created attachment 462314 [details]
config.tar.xz  for the system referenced in comment 38
Comment 40 Manfred Knick 2017-11-08 11:08:19 UTC
@ ZAC:

Running amd64 stable (with _very_ few exceptions) ,

     "emerge -auDN ..." 

ran into those problems as described above,

but seperate

     "emerge -a -1 dev-util/boost-build"

     "emerge -a -1 dev-libs/boost"

succeeded without any complaint at all :

# equery list -p dev-util/boost-build dev-libs/boost

   [-P-] [  ] dev-util/boost-build-1.62.0-r1:0
   [IP-] [  ] dev-util/boost-build-1.63.0:0
   [-P-] [ ~] dev-util/boost-build-1.65.0:0

   [-P-] [  ] dev-libs/boost-1.62.0-r1:0/1.62.0
   [IP-] [  ] dev-libs/boost-1.63.0:0/1.63.0
   [-P-] [ ~] dev-libs/boost-1.65.0:0/1.65.0

dragging the rebuilds caused by the latter behind:

[ebuild  r  U  ] dev-libs/boost-1.63.0 [1.62.0-r1] PYTHON_TARGETS="(-python3_6)" 
[ebuild  rR    ] dev-util/mdds-1.2.2 
[ebuild  rR    ] dev-libs/libixion-0.11.1 
[ebuild  rR    ] dev-libs/liborcus-0.11.2 
[ebuild  rR    ] dev-cpp/libcmis-0.5.2_pre20160820-r1 
[ebuild  rR    ] app-office/libreoffice-5.2.7.2 

HTH.
Comment 41 Manfred Knick 2017-11-08 11:42:51 UTC
CONFIRMATION;

Afterwards,
neither
     emerge --sync   && emerge -puDN system world 
nor even
     emerge -auDN --with-bdeps=y
show any anomalities any more.
Comment 42 Israel G. Lugo 2017-11-08 23:37:02 UTC
Created attachment 503258 [details]
config of system showing the problem in 2017-11, portage 2.3.8

I am also seeing this, with or without --with-bdeps=y.

Tried the following:

# emerge --ignore-default-opts -vpNuD @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] net-libs/nodejs-6.11.5::gentoo [6.9.4::gentoo] USE="icu npm snapshot ssl -debug -doc {-test}" CPU_FLAGS_X86="sse2" PYTHON_TARGETS="python2_7" 15,332 KiB
[ebuild     U  ] media-libs/openjpeg-2.3.0:2/7::gentoo [2.2.0:2/7::gentoo] USE="static-libs -doc {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] app-crypt/mit-krb5-1.15.2::gentoo [1.14.2::gentoo] USE="keyutils nls%* pkinit threads -doc (-libressl) -openldap (-selinux) {-test} -xinetd" ABI_X86="32 (64) (-x32)" 9,161 KiB
[ebuild   R    ] dev-libs/qcustomplot-1.3.2::gentoo  USE="(-qt5%*)" 0 KiB
[ebuild     U  ] x11-libs/qscintilla-2.9.4:0/12::gentoo [2.9.2-r1:0/12::gentoo] USE="designer qt5%* -doc -qt4*" 2,498 KiB
[ebuild     U  ] dev-db/sqlitebrowser-3.9.1-r1::gentoo [3.8.0-r1::gentoo] USE="{-test} (-qt5%*)" 1,665 KiB
[ebuild     U  ] www-client/chromium-62.0.3202.89::gentoo [62.0.3202.75::gentoo] USE="cups (pic) proprietary-codecs system-ffmpeg -component-build -custom-cflags -gnome-keyring -hangouts -kerberos (-neon) -pulseaudio (-selinux) -suid (-system-icu) (-system-libvpx) (-tcmalloc) -widevine" L10N="-am -ar -bg -bn -ca -cs -da -de -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 504,982 KiB

Total: 7 packages (6 upgrades, 1 reinstall), Size of downloads: 533,636 KiB

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

  selected: (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed)
  skipped: (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for merge) (see unsatisfied dependency below)

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.63*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.63.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.63.0::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

As a side note, the dependency calculation above took 10 minutes. I have 442 lines in /var/lib/portage/world, and 2211 packages installed (according to "eix -Ic").

This also fails with my usual string of default options "--complete-graph=y --jobs=4 --load-average=5.00 --with-bdeps=y --backtrack=100".
Comment 43 Zac Medico gentoo-dev 2017-11-08 23:49:26 UTC
Please also try with portage-2.3.13, since the fixes for bug 632202 and bug 632210 might help.
Comment 44 Manfred Knick 2017-11-09 07:24:34 UTC
(In reply to Israel G. Lugo from comment #42)

Differential Analysis:

Israel, could you be so kind to cross-check 
manual procedure in comment 41 ?


(In reply to Zac Medico from comment #43)

Zac, for your information:

comment 41 is still based upon

     [IP-] [  ] sys-apps/portage-2.3.8:0
Comment 45 Michael Mair-Keimberger (iamnr3) 2017-11-09 13:09:43 UTC
(In reply to Zac Medico from comment #43)
> Please also try with portage-2.3.13, since the fixes for bug 632202 and bug
> 632210 might help.

Hi, just hit this problem too. portage-2.3.13 works however.
Comment 46 Zac Medico gentoo-dev 2017-11-09 13:23:39 UTC
(In reply to Michael Mair-Keimberger (iamnr3) from comment #45)
> (In reply to Zac Medico from comment #43)
> > Please also try with portage-2.3.13, since the fixes for bug 632202 and bug
> > 632210 might help.
> 
> Hi, just hit this problem too. portage-2.3.13 works however.

Great, thanks for testing!
Comment 47 Christophe PEREZ 2017-11-10 20:45:22 UTC
with sys-apps/portage-2.3.8 or sys-apps/portage-2.3.13, I have the same error :

# emerge -DpuN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

dev-util/boost-build:0

  (dev-util/boost-build-1.63.0:0/0::gentoo, ebuild scheduled for merge) conflicts with
    =dev-util/boost-build-1.62* required by (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed)
    ^                     ^^^^^


!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

dev-libs/boost:0


# emerge --info
Portage 2.3.13 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-5.4.0, glibc-2.25-r8, 4.12.12-gentoo x86_64)
=================================================================
System uname: Linux-4.12.12-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-gentoo-2.4.1
KiB Mem:     4042828 total,   1215140 free
KiB Swap:    4067796 total,   3390748 free
Timestamp of repository gentoo: Fri, 10 Nov 2017 12:00:01 +0000
Head commit of repository gentoo: 48d1785c5e59a45a2edfe5c0fcd9c1f57a8a685d
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.28.1 p1.0) 2.28.1
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
ccache version 3.2.4 [enabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14::gentoo, 3.4.5::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.32.1::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.28.1::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r8::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://novazur.fr/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 0

local
    location: /usr/local/portage
    masters: gentoo
    priority: 9999

Installed sets: @kde, @net_gkrellm
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --keep-going --buildpkg --buildpkg-exclude 'virtual/* sys-kernel/*-sources */*-bin www-client/google-chrome www-plugins/adobe-flash x11-drivers/nvidia-drivers'"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg ccache clean-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirrors.rit.edu/gentoo/ http://gentoo.netnitco.net http://gentoo.mirrors.pair.com/ http://gentoo.mirrors.tds.net/gentoo"
LANG="fr_FR.iso885915@euro"
LC_ALL="fr_FR@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3 -l2"
PKGDIR="/usr/portage/packages/nocona"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl activities aim alsa amd64 audiofile bash-completion berkdb bluetooth branding bzip2 cairo caps cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr dvdread eds emboss encode evo exif fam fbcon ffmpeg firefox flac gdbm gif glamor gphoto2 gtk iconv imagemagick imlib jabber java jpeg kde kipi kwallet lcms ldap libnotify libsamplerate lm_sensors mad matroska mng modules mp3 mp4 mpeg multilib ncurses nls nptl nptlonly nsplugin ogg oggvorbis openal opengl openmp pam pango pcre pdf phonon plasma png policykit portaudio qml qt3support qt4 qt5 readline scanner sdl seccomp session sndfile sox speex spell ssl startup-notification svg tcpd theora tiff truetype udev udisks unicode upower usb v4l vorbis widgets win32codecs wxwidgets x264 x265 xattr xcb xcomposite xinerama xml xpm xscreensaver xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="hda-intel emu10k1 sco" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse joystick evdev" KERNEL="linux" L10N="fr fr_FR" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr fr_FR" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 48 Zac Medico gentoo-dev 2017-11-10 21:16:31 UTC
(In reply to Christophe PEREZ from comment #47)
> with sys-apps/portage-2.3.8 or sys-apps/portage-2.3.13, I have the same
> error :
> 
> # emerge -DpuN world
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> 
> WARNING: One or more updates/rebuilds have been skipped due to a dependency
> conflict:
> 
> dev-util/boost-build:0
> 
>   (dev-util/boost-build-1.63.0:0/0::gentoo, ebuild scheduled for merge)
> conflicts with
>     =dev-util/boost-build-1.62* required by
> (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed)
>     ^                     ^^^^^
> 
> 
> !!! The following update(s) have been skipped due to unsatisfied dependencies
> !!! triggered by backtracking:
> 
> dev-libs/boost:0

That could be a separate issue. You should try with --ignore-built-slot-operator-deps=y as suggested here:

https://wiki.gentoo.org/wiki/Project:Portage/FAQ#What_should_I_do_when_emerge_reports_a_lot_of_dependency_conflicts_involving_built_slot-operator_.28foo.2Fbar:X.2FY.3D.29_dependencies.3F
Comment 49 Christophe PEREZ 2017-11-10 21:28:46 UTC
(In reply to Zac Medico from comment #48)
> That could be a separate issue.

You're certainly right

> You should try with
> --ignore-built-slot-operator-deps=y as suggested here:
> 
> https://wiki.gentoo.org/wiki/Project:Portage/
> FAQ#What_should_I_do_when_emerge_reports_a_lot_of_dependency_conflicts_involv
> ing_built_slot-operator_.28foo.2Fbar:X.2FY.3D.29_dependencies.3F

As suggested (thank you), I first tried with --backtrack=0 and :

# emerge -DpuN --backtrack=0 world                                    

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-libs/boost-1.63.0 [1.62.0-r1] PYTHON_TARGETS="(-python3_6)" 

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/boost:0

  (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed) pulled in by
    dev-libs/boost:0/1.62.0 required by (app-office/libreoffice-bin-5.2.7.2-r1:0/0::gentoo, installed)
                  ^^^^^^^^^                                                                                                               
    >=dev-libs/boost-1.46.0:0/1.62.0= required by (media-video/mkvtoolnix-9.6.0:0/0::gentoo, installed)
                           ^^^^^^^^^^                                                                                                      
    (and 8 more with the same problems)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


!!! All ebuilds that could satisfy "=dev-util/boost-build-1.63*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.63.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.63.0::gentoo" [ebuild])
(dependency required by "app-office/libreoffice-bin-5.2.7.2-r1::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 50 Tim Bowers 2017-11-11 15:10:40 UTC
Created attachment 503596 [details]
System config for repeatable boost issue

So I'm hitting this too

I'm told by the IRC folks that directly emerging the needed boost package will fix it (fine, not a problem) but I figure more evidence helps so here goes:

tim@MushaV3 ~ $ sudo emerge -auD world
Password: 

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! The following update has been skipped due to unsatisfied dependencies:

dev-libs/boost:0

  selected: (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed)
  skipped: (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for merge) (see unsatisfied dependency below)

!!! All ebuilds that could satisfy "=dev-util/boost-build-1.63*" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-util/boost-build-1.63.0::gentoo (masked by: )

(dependency required by "dev-libs/boost-1.63.0::gentoo" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



Nothing to merge; quitting.
Comment 51 Zac Medico gentoo-dev 2017-11-11 21:23:31 UTC
(In reply to Tim Bowers from comment #50)
> Created attachment 503596 [details]
> System config for repeatable boost issue

Your config shows sys-apps/portage-2.3.8, and we have a report in comment #45 that sys-apps/portage-2.3.13 fixes the problem.
Comment 52 Pietro 2017-11-12 00:26:28 UTC
(In reply to Christophe PEREZ from comment #49)
> (In reply to Zac Medico from comment #48)
> > That could be a separate issue.
> 
> You're certainly right
> 
> > You should try with
> > --ignore-built-slot-operator-deps=y as suggested here:
> > 
> > https://wiki.gentoo.org/wiki/Project:Portage/
> > FAQ#What_should_I_do_when_emerge_reports_a_lot_of_dependency_conflicts_involv
> > ing_built_slot-operator_.28foo.2Fbar:X.2FY.3D.29_dependencies.3F
> 
> As suggested (thank you), I first tried with --backtrack=0 and :
> 
> # emerge -DpuN --backtrack=0 world                                    
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild     U  ] dev-libs/boost-1.63.0 [1.62.0-r1]
> PYTHON_TARGETS="(-python3_6)" 
> 
> !!! Multiple package instances within a single package slot have been pulled
> !!! into the dependency graph, resulting in a slot conflict:
> 
> dev-libs/boost:0
> 
>   (dev-libs/boost-1.63.0:0/1.63.0::gentoo, ebuild scheduled for merge)
> pulled in by
>     (no parents that aren't satisfied by other packages in this slot)
> 
>   (dev-libs/boost-1.62.0-r1:0/1.62.0::gentoo, installed) pulled in by
>     dev-libs/boost:0/1.62.0 required by
> (app-office/libreoffice-bin-5.2.7.2-r1:0/0::gentoo, installed)
>                   ^^^^^^^^^                                                 
> 
>     >=dev-libs/boost-1.46.0:0/1.62.0= required by
> (media-video/mkvtoolnix-9.6.0:0/0::gentoo, installed)
>                            ^^^^^^^^^^                                       
> 
>     (and 8 more with the same problems)
> 
> NOTE: Use the '--verbose-conflicts' option to display parents omitted above
> 
> It may be possible to solve this problem by using package.mask to
> prevent one of those packages from being selected. However, it is also
> possible that conflicting dependencies exist such that they are
> impossible to satisfy simultaneously.  If such a conflict exists in
> the dependencies of two different packages, then those packages can
> not be installed simultaneously.
> 
> For more information, see MASKED PACKAGES section in the emerge man
> page or refer to the Gentoo Handbook.
> 
> 
> !!! All ebuilds that could satisfy "=dev-util/boost-build-1.63*" have been
> masked.
> !!! One of the following masked packages is required to complete your
> request:
> - dev-util/boost-build-1.63.0::gentoo (masked by: )
> 
> (dependency required by "dev-libs/boost-1.63.0::gentoo" [ebuild])
> (dependency required by "app-office/libreoffice-bin-5.2.7.2-r1::gentoo"
> [installed])
> (dependency required by "@selected" [set])
> (dependency required by "@world" [argument])
> For more information, see the MASKED PACKAGES section in the emerge
> man page or refer to the Gentoo Handbook.

Yeah I am having the same scenario as well and with sys-apps/portage-2.3.13. Not quite sure how to make out of it.
Comment 53 Zac Medico gentoo-dev 2017-11-12 05:11:52 UTC
In order to upgrade to boost-1.63.0, you will need to unmask libreoffice-bin-5.4.2.2 (see bug 636842).

echo "=app-office/libreoffice-bin-5.4*" >> /etc/portage/package.accept_keywords
Comment 54 Pietro 2017-11-12 11:20:52 UTC
(In reply to Zac Medico from comment #53)
> In order to upgrade to boost-1.63.0, you will need to unmask
> libreoffice-bin-5.4.2.2 (see bug 636842).
> 
> echo "=app-office/libreoffice-bin-5.4*" >>
> /etc/portage/package.accept_keywords

It did work thank you so much. This was getting me frustrated.
Comment 55 Israel G. Lugo 2017-11-13 03:40:14 UTC
Just tried what you described in comment 40, i.e.:

# emerge -a -1 dev-util/boost-build
# emerge -a -1 dev-libs/boost

The latter rebuilt multiple packages, as expected (libreoffice, and so on).

After that, I was left with one package in @preserved-rebuild:

!!! existing preserved libs:
>>> package: dev-libs/boost-1.63.0
 *  - /usr/lib64/libboost_system.so.1.62.0
 *      used by /usr/games/bin/glob2 (games-strategy/glob2-0.9.4.4-r1)
 *  - /usr/lib64/libboost_thread.so.1.62.0
 *      used by /usr/games/bin/glob2 (games-strategy/glob2-0.9.4.4-r1)
Use emerge @preserved-rebuild to rebuild packages using these libraries

I followed up with:

# emerge -v @preserved-rebuild

which rebuilt the package, as expected.

I now have both boost-build and boost at their latest stable versions:

# equery list -p dev-util/boost-build dev-libs/boost
 * Searching for boost-build in dev-util ...
[-P-] [  ] dev-util/boost-build-1.62.0-r1:0
[IP-] [  ] dev-util/boost-build-1.63.0:0
[-P-] [ ~] dev-util/boost-build-1.65.0:0

 * Searching for boost in dev-libs ...
[-P-] [  ] dev-libs/boost-1.62.0-r1:0/1.62.0
[IP-] [  ] dev-libs/boost-1.63.0:0/1.63.0
[-P-] [ ~] dev-libs/boost-1.65.0:0/1.65.0

And, similarly to Mandred's findings in comment 41, the problem is no longer manifesting for me.

Both:

# emerge --ignore-default-opts -vpNuD @world

and:

# emerge --ignore-default-opts -vpNuD --with-bdeps=y @world

now work without as expected.

This is all still at stable portage-2.3.8.

From what I understood of the bugs indicated by Zac, this was to be expected: we basically just solved the dependency problem manually. Since boost and boost-build are now already installed at their desired versions, we don't hit the bug.


(In reply to Manfred Knick from comment #44)
> (In reply to Israel G. Lugo from comment #42)
> 
> Differential Analysis:
> 
> Israel, could you be so kind to cross-check 
> manual procedure in comment 41 ?
> 
> 
> (In reply to Zac Medico from comment #43)
> 
> Zac, for your information:
> 
> comment 41 is still based upon
> 
>      [IP-] [  ] sys-apps/portage-2.3.8:0
Comment 56 josef.95 2017-11-13 11:34:32 UTC
(In reply to Zac Medico from comment #43)
> Please also try with portage-2.3.13, since the fixes for bug 632202 and bug
> 632210 might help.

Yes, sys-apps/portage-2.3.13 solved the issue here.

Thanks!
Comment 57 josef.95 2017-11-13 11:45:03 UTC
Created attachment 503840 [details]
Example emerge output

For the record adding the portage output.
Comment 58 Manfred Knick 2017-11-13 11:51:20 UTC
(In reply to Israel G. Lugo from comment #55)

> ... we basically just solved the dependency problem manually.   ...
Yes, perfectly agreed.

   $ equery depends dev-libs/boost
     ...
   $ equery depends dev-util/boost-build
     ...
   $ emerge -e -1 -p system | grep boost
   $                                                    <--- empty

--> AFAICS, both do not belong to the core system.

Thus I dared to remove both
. . . emerge -pC  dev-util/boost-build dev-libs/boost

Deleting it's dependencies (--depclean) gets (correctly) blocked by portage.

Afterwards, as expected,
. . . emerge -auDN   system world
works it's way successfully:

   # equery list "*boost*"

   [IP-] [  ] dev-libs/boost-1.63.0:0/1.63.0
   [IP-] [  ] dev-util/boost-build-1.63.0:0

NOTE: This result was obtained with sys-apps/portage-2.3.13:0 .

Thanks to Zac & Portage Team.